### Method

# Gtk.LayoutManager.allocate

#### Declaration [src]

    void
    gtk_layout_manager_allocate (
      GtkLayoutManager* manager,
      GtkWidget* widget,
      int width,
      int height,
      int baseline
    )

#### Description [src]

Assigns the given `width`, `height`, and `baseline` to a `widget`, and computes the position and sizes of the children of the `widget` using the layout management policy of `manager`.

#### Parameters

`widget` | `GtkWidget`
| the `GtkWidget` using `manager`
| Ownership is not transferred to the callee
`width` | `int`
| the new width of the `widget`
`height` | `int`
| the new height of the `widget`
`baseline` | `int`
| the baseline position of the `widget`, or -1